variables:
  FILES_TO_PREPROCESS: "common-resources/Chart.yaml \
                        datastore/Chart.yaml \
                        datastore/values.yaml \
                        registry/Chart.yaml \
                        registry/values.yaml"
  CHARTS: "./common-resources ./datastore ./registry"
  RYAX_TOOL: common-resources
  RYAX_ADM_VERSION: 24.10.0

include:
  - project: 'ryax-tech/ryax/ci_common'
    ref: 5.3.4
    file: 'common-steps-gitlab-ci.yml'

verify_helm_charts:
  extends: .verify_helm_charts

package_helm_charts:
  extends: .package_helm_charts

tag_charts:
  extends: .tag_charts

release_charts:
  extends: .release_charts

release_charts_latest:
  extends: .release_charts
  variables:
    CHART_VERSION: 0.0.0-latest

dev-1-update:
  extends: .dev-1-update
  variables:
    RYAX_TOOL: "commonResources datastore registry"
    APP_VERSION: ""

dev-1-clean:
  extends: .dev-1-clean
  variables:
    RYAX_TOOL: "commonResources datastore registry"

dev-2-update:
  extends: .dev-2-update
  variables:
    RYAX_TOOL: "commonResources datastore registry"
    APP_VERSION: ""

dev-2-clean:
  extends: .dev-2-clean
  variables:
    RYAX_TOOL: "commonResources datastore registry"

update_staging:
  extends: .update_staging
  variables:
    RYAX_TOOL: "commonResources datastore registry"
    APP_VERSION: ""
